Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::Sample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema::Sample Class Reference

## Public Types
typedef Sample | this_type

## Public Member Functions
Abc::P3fArraySamplePtr | getPositions () const
Abc::V3fArraySamplePtr | getVelocities () const
int32_t | getNumU () const
int32_t | getNumV () const
int32_t | getUOrder () const
int32_t | getVOrder () const
Abc::FloatArraySamplePtr | getUKnot () const
Abc::FloatArraySamplePtr | getVKnot () const
Abc::FloatArraySamplePtr | getPositionWeights () const
int32_t | getTrimNumLoops () const
Abc::Int32ArraySamplePtr | getTrimNumVertices () const
Abc::Int32ArraySamplePtr | getTrimNumCurves () const
Abc::Int32ArraySamplePtr | getTrimOrders () const
Abc::FloatArraySamplePtr | getTrimKnots () const
Abc::FloatArraySamplePtr | getTrimMins () const
Abc::FloatArraySamplePtr | getTrimMaxes () const
Abc::FloatArraySamplePtr | getTrimU () const
Abc::FloatArraySamplePtr | getTrimV () const
Abc::FloatArraySamplePtr | getTrimW () const
bool | hasTrimCurve () const
bool | valid () const
Abc::Box3d | getSelfBounds () const
void | reset ()
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes
Abc::P3fArraySamplePtr | m_positions
Abc::V3fArraySamplePtr | m_velocities
int32_t | m_numU
int32_t | m_numV
int32_t | m_uOrder
int32_t | m_vOrder
Abc::FloatArraySamplePtr | m_uKnot
Abc::FloatArraySamplePtr | m_vKnot
Abc::FloatArraySamplePtr | m_positionWeights
int32_t | m_trimNumLoops
Abc::Int32ArraySamplePtr | m_trimNumCurves
Abc::Int32ArraySamplePtr | m_trimNumVertices
Abc::Int32ArraySamplePtr | m_trimOrder
Abc::FloatArraySamplePtr | m_trimKnot
Abc::FloatArraySamplePtr | m_trimMin
Abc::FloatArraySamplePtr | m_trimMax
Abc::FloatArraySamplePtr | m_trimU
Abc::FloatArraySamplePtr | m_trimV
Abc::FloatArraySamplePtr | m_trimW
bool | m_hasTrimCurve
Abc::Box3d | m_selfBounds

## Friends
class | INuPatchSchema

The documentation for this class was generated from the following file:

- AbcGeom/INuPatch.h